#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonlelang.info_paket'} ${pl.namaPaket}
#{/set}

<ul class="breadcrumb" #{if active_user.isRekanan()}style="background-color: #d9534f !important;"#{/if}>
    <li><a href="@{BerandaCtr.index()}">&{'nonlelang.home'}</a></li>
    <li class="active">&{'nonlelang.info_paket'}</li>
</ul>

#{tabmenuPL tahapStarted/}
<div class="content">
#{alert /}
    <table class="table table-sm">
        <tr>
            <th width="25%" class="bgwarning">Kode Paket</th>
            <td><b>${pl.lls_id} #{sesiInfo pl.lls_sesi /}</b>
            #{if allow_report}<a href="@{admin.UtilityCtr.viewPDFPl(pl.lls_id)}" class="badge  badge-secondary float-right">Summary
                Tender</a>#{/if}
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td>
            ${pl.namaPaket} <b>#{if pl.isLelangUlang()}<span class="badge  badge-warning">${pl?.isPenunjukanLangsung() ? 'Penunjukan Langsung' : 'Pengadaan Langsung'} Ulang</span>#{/if}
            #{if pl.lls_status.ditutup}(Paket Dibatalkan)#{/if}</b>
                <a href="@{nonlelang.PengadaanLCtr.pengumumanPl(pl.lls_id)}" class="jpopup"><span
                        class="badge  badge-secondary">Detil</span></a>
            </td>
        </tr>
        #{if pl.lls_status.ditutup}
            <tr>
                <th class="bgwarning">Alasan Pembatalan</th>
                <td>
                    <strong>${pl.lls_ditutup_karena}</strong>
                </td>
            </tr>
        #{/if}
        #{if pl.isLelangUlang()}
            <tr>
                <th class="bgwarning">Alasan di Ulang</th>
                <td>
                    <strong>${pl.lls_diulang_karena}</strong>
                </td>
            </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Tahap Paket Saat Ini</th>
            <td>
                <a href="@{nonlelang.JadwalPlCtr.tahap(pl.lls_id)}" target="_blank">${tahapNow.raw()}</a>
                #{if (active_user.PP || active_user.isPanitia())}<a href="@{nonlelang.JadwalPlCtr.list(pl.lls_id)}" class="badge  badge-secondary"><i
                        class="fa fa-edit"></i>&nbsp;Edit</a>#{/if}
            </td>
        </tr>
        #{if (pl.mtd_kualifikasi == 0)}
        <tr>
            <th class="bgwarning">Dokumen Kualifikasi</th>
            <td>#{if allow_download_pra} #{dokPl dok_kualifikasi, lelangV3:pl.lelangV3 /} #{/if}
                #{if allow_adendum_pra}
                    <div class="bs-callout bs-callout-warning">
                        &{'nonlelang.ketentuan_adendum'}
                        <ol>
                            <li>&{'nonlelang.ketentuan_adendum_1'}</li>
                            <li>&{'nonlelang.ketentuan_adendum_2'}</li>
                            <li>&{'nonlelang.ketentuan_adendum_3'}</li>
                        </ol>
                    </div>
                    <div class="card card-info">
                        <div class="card-header">Adendum
                            #{if allowUploadPra }
                                <a class="dialog float-right badge  badge-secondary" href="@{nonlelang.AdendumPlCtr.uploadDokKualifikasi(dok_kualifikasi.dll_id)}" title="Kirim Adendum">Upload</a>
                            #{/if}
                        </div>
                        <div class="list-group">
                            <a href="@{nonlelang.AdendumPlCtr.ldk(pl.lls_id)}" class="list-group-item">${isFlag43 ? 'Persyaratan Kualifikasi':'Lembar Data Kualifikasi (LDK)'} 
                            #{if ldk_adendum_pra} <i class="fa fa-check float-right"></i> #{/if}
                            </a>
                        </div>
                    </div>
                #{/if}
            </td>
        </tr>
	        #{if allow_pengumuman_pemenang_pra}
	            <tr>
	                <th class="bgwarning">Pengumuman Pemenang Prakualifikasi</th>
	                <td>#{if sudahKirimPengumumanPra} 
	                		Pengumuman Pemenang Prakualifikasi Sudah Terkirim
	                	#{/if}
	                	#{else}
	                		<a href="@{nonlelang.PengadaanLCtr.undanganpra(pl.lls_id)}" class="badge  badge-secondary">Pengumuman Pemenang Prakualifikasi</a>
	                	#{/else}
	                </td>
	            </tr>
	       #{/if}                  
        #{/if}  

        <tr>
            <th class="bgwarning">Dokumen Pemilihan</th>
            <td>#{if allow_download} #{dokPl dok_pl, lelangV3:pl.lelangV3 /} #{/if}
            #{if allow_adendum}
                <div class="card card-info">
                    <div class="card-header">Adendum
                        #{if allowUpload}
                            <a class="dialog float-right badge  badge-secondary" href="@{nonlelang.AdendumPlCtr.uploadDokNonTender(dok_pl.dll_id)}" title="Kirim Dokumen Non Tender"> Upload </a>
                        #{/if}
                    </div>
                    <div class="list-group">
                    #{if !(pl.mtd_kualifikasi == 0)}
                        #{if isPp || isPanitia}
                        	<a href="@{nonlelang.AdendumPlCtr.ldk(pl.lls_id)}" class="list-group-item">${isFlag43 ? 'Persyaratan Kualifikasi':'Lembar Data Kualifikasi (LDK)'} 
                            #{if ldk_adendum_pra} <i class="fa fa-check float-right"></i> #{/if}
                        #{/if}
                    #{/if}
                        #{if isPp || isPanitia}
                        	<a href="@{nonlelang.AdendumPlCtr.masaBerlakuPenawaran(pl.lls_id)}" class="list-group-item dialog" title="&{'doc.masaBerlakuPenawaran'}">&{'doc.masaBerlakuPenawaran'} ${masaberlaku?: '0'} hari sejak batas akhir pemasukan dokumen penawaran 
                        	#{if ldp_adendum}  <i class="fa fa-check float-right"></i> #{/if}</a>
                        #{/if}
	                        <!-- *{<a href="@{nonlelang.DokumenPlCtr.ldp(pl.lls_id)}" class="list-group-item">Lembar Data Pemilihan
	                        #{if ldp_adendum} <i class="fa fa-check float-right"></i> #{/if}</a>}* -->
                        #{if isPp || isPanitia}
                        	<a href="@{nonlelang.AdendumPlCtr.checklist(pl.lls_id)}" class="list-group-item">#{if isFlag43} &{'doc.syarat'} #{/if} #{else} Persyaratan Dokumen #{/else} 
                        	#{if syarat_adendum} <i class="fa fa-check float-right"></i> #{/if}</a>
                        #{if syarat_adendum} <i class="fa fa-check float-right"></i> #{/if}</a>
                        #{/if}
                        	<a href="@{nonlelang.AdendumPlCtr.hps(pl.lls_id)}" class="list-group-item ">
                            Rincian HPS #{if hps_adendum} <i class="fa fa-check float-right"></i> #{/if}
                        	</a>
                        	<a href="@{nonlelang.AdendumPlCtr.spek(pl.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.kakspek'}" onhide-refresh="true">
                            Kerangka Acuan Kerja (KAK)/Spesifikasi Teknis dan Gambar #{if spek_adendum} <i class="fa fa-check float-right"></i> #{/if}
                        	</a>
                        	<a href="@{nonlelang.AdendumPlCtr.docSskk(pl.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.sskk'}" onhide-refresh="true">
                            &{'doc.rancanganKontrak'} #{if rancangankontrak_adendum} <i class="fa fa-check float-right"></i> #{/if}
                        	</a>
                        #{if isPanitia || isPp}
                        	<div class="list-group-item">Jenis Kontrak: ${pl?.kontrakPembayaran?.label}  #{if jeniskontrak_adendum}  <i class="fa fa-check float-right"></i> #{/if} </div>
                        #{/if}
                        #{else}
                        	<a class="dialog list-group-item" href="@{nonlelang.DokumenPlCtr.editJenisKontrak(pl.lls_id)}" title="Edit Jenis Kontrak">Jenis Kontrak: ${pl?.kontrakPembayaran?.label}  #{if jeniskontrak_adendum}  <i class="fa fa-check float-right"></i> #{/if}</a>
                        #{/else}
                        	<a href="@{nonlelang.DokumenPlCtr.lainnya(pl.lls_id)}" class="list-group-item dialog" title="nformasi Lainnya"  onhide-refresh="true" >Informasi Lainnya #{if lainnya_adendum} <i class="fa fa-check float-right"></i> #{/if}</a>

                    </div>
                </div>
                <div class="bs-callout bs-callout-info">
                    <ol>
                        <li>&{'nonlelang.pilih_persyaratan_kualifikasi'}</li>
                        <li>&{'nonlelang.isi_masa_berlaku'}</li>
                        <li>&{'nonlelang.pilih_doc_penawaran_teknis'}</li>
                        <li>&{'nonlelang.upload_doc_info_lainnya'}</li>
                        <li>&{'nonlelang.upload_adendum_doc'}</li>
                        <li><strong>&{'nonlelang.batas_akhir_adendum'}</strong></li>
                        <li><strong>Batas akhir melakukan adendum Dokumen Pemilihan minimal 3 hari kerja sebelum jadwal Upload Dokumen Penawaran berakhir</strong>.</li>
                    </ol>
                </div>
            #{form @nonlelang.AdendumPlCtr.cetak(dok_pl?.dll_id), id:'form-cetak', 'data-alert':'true'}    #{/form}
            #{/if}
            </td>
        </tr>
    #{if allow_history_evaluasi}
        <tr>
            <td class="bgwarning">Evaluasi</td>
            <td>
                <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown">${jumlah_evaluasi}
                    Kali <span class="caret"></span></button>
                <ul class="dropdown-menu" role="menu">
                    #{list items:evaluasiList, as:'evaluasi'}
                        <li class="dropdown-item"><a href="#">Evaluasi Ke ${evaluasi?.eva_versi}</a></li>
                    #{/list}
                </ul>
            </td>
        </tr>
    #{/if}
    
    #{if active_user.rekanan && peserta}
      #{if !pl.pemilihan.lelangExpress}
    	#{if pl.mtd_kualifikasi == 0} 		
            <tr>
                <th class="bgwarning">Kualifikasi</th>
                <td>#{kirimKualifikasiPlNew pl, peserta:peserta, dok_kualifikasi:penawaran_kualifikasi, tahapAktif:tahapAktif /}</td>
                #{if pl.is_kualifikasi_tambahan && !peserta.is_dikirim_pesan && isKirimKualifikasi}
                <div class="bs-callout bs-callout-warning">
                    &{'nonlelang.tidak_diizinkan_melengkapi_pesyaratan_kualifikasi'}
                </div>
                #{/if}
            </tr>
            #{/if}
    	#{else}
            <tr>
                <th class="bgwarning">Kualifikasi</th>
                <td>#{kirimKualifikasiPl pl, peserta:peserta, dok_kualifikasi:penawaran_kualifikasi, tahapAktif:tahapAktif /}</td>
                #{if pl.is_kualifikasi_tambahan && !peserta.is_dikirim_pesan && isKirimKualifikasi}
                <div class="bs-callout bs-callout-warning">
                    &{'nonlelang.tidak_diizinkan_melengkapi_pesyaratan_kualifikasi'}

                </div>
                #{/if}
            </tr>
        #{/else}
    #{/if}
    #{/if}
    
    #{if active_user.rekanan && peserta}
     #{if pl.mtd_kualifikasi == 0}
      	#{if tahapAktif.isPemasukanPenawaran() && isAnyDokPemilihan}		
	        <tr>
	            <th class="bgwarning">Penawaran Anda</th>
	            <td>
	               #{kirimPenawaranPl pl, peserta: peserta, allow_kirim_penawaran: allow_kirim_penawaran, kualifikasiUploaded: kualifikasiUploaded/}              
	            </td>
	        </tr>
      	#{/if}
     #{/if}
   	 #{else}
        	<tr>
	            <th class="bgwarning">Penawaran Anda</th>
	            <td>
	               #{kirimPenawaranPl pl, peserta: peserta, allow_kirim_penawaran: allow_kirim_penawaran, kualifikasiUploaded: kualifikasiUploaded/}                
	            </td>
        	</tr>
   	 #{/else}
    #{/if}
    
    #{if tahapStarted.evaluasi}
        <tr>
            <th class="bgwarning">Hasil Evaluasi</th>
            <td>#{informasiEvaluasiPl pl, peserta:peserta, tahapStarted:tahapStarted /}</td>
        </tr>
    #{/if}
        <tr>
            <th class="bgwarning">Berita Acara</th>
            <td>#{beritaAcaraPl pl, tahapStarted:tahapStarted /}</td>
        </tr>
        #{if allow_pengumuman_pemenang}
            <tr>
                <th class="bgwarning">Pengumuman Pemenang</th>
                <td>#{if sudahKirimPengumuman} Pengumuman Pemenang Sudah Terkirim#{/if}#{else}<a
                        href="@{nonlelang.PengadaanLCtr.undangan(pl.lls_id)}" class="badge  badge-secondary">Pengumuman Pemenang</a>#{/else}
                </td>
            </tr>
        #{/if}
         #{if !active_user.rekanan && !active_user.isPanitia() && !paket?.plSeleksi?.isPenunjukanLangsung()}
        <tr>
            <th class="bgwarning">#{if active_user.isPP()}&{'doc.surveyPembanding'}#{/if} #{else} Survey Harga Pembanding Pejabat Pengadaan#{/else}</th>
            <td colspan="3">
                <div class="card card-info">
                    <div class="card-header">#{if active_user.isPP()}&{'doc.surveyPembanding'}#{/if} #{else} Survey Harga Pembanding Pejabat Pengadaan#{/else}</div>
                    <div class="list-group">
                        #{if active_user.isPP()}
                        <a href="@{nonlelang.DokumenPlCtr.surveyHarga(pl.lls_id)}" class="list-group-item dialog" title="Survey Harga Pembanding Pejabat Pengadaan" onhide-refresh="true">Survey Harga Pembanding Pejabat Pengadaan #{if surveyHarga?.survey_id_attachment} <i class="fa fa-check float-right"></i> #{/if}</a>#{/if}
                        <a href="@{nonlelang.DokumenPlCtr.surveyHargaPpk(paket.pkt_id)}" class="list-group-item dialog" title="Data Dukung HPS" onhide-refresh="true">#{if active_user.isPP()}Data Dukung HPS #{/if} #{else} Data Dukung HPS#{/else}  #{if dokPersiapan?.dp_survey} <i class="fa fa-check float-right"></i> #{/if}</a>
                    </div>
                </div>
            </td>
        </tr>
         #{/if}
        #{if active_user.rekanan}
            <tr>
                <th class="bgwarning">Undangan</th>
                <td>#{cetakUdanganPl peserta /}</td>
            </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Berita Acara Lainnya</th>
            <td>#{include 'nonlelang/berita_acara/informasiLainnya.html' /}</td>
        </tr>
        #{if active_user.PP || active_user.panitia}
            <tr>
                <th class="bgwarning">PPK</th>
                <td>
                    #{if isFlag43}
                    #{list items: paketPpk, as: 'pakePpkItem'}
                    ${pakePpkItem?.namaPpk}&nbsp;
                    #{if pl.lls_status.aktif}
                    <a class="btn btn-secondary btn-sm" title="Ganti PPK" href="@{nonlelang.PaketPlCtr.ppk(pl.pkt_id,pakePpkItem?.ppk_id)}">
                        <i class="fa fa-edit"></i> Ganti PPK
                    </a>
                    #{/if}
                    #{/list}
                    #{/if}
                    #{else}
                    <ul class="list-unstyled">
                        #{list items:ppkList, as:'ppk'}
                        <li>${ppk?.namaPegawai}&nbsp;
                            #{if pl.lls_status.aktif}
                            <a class="btn btn-secondary btn-sm" title="Ganti PPK" href="@{nonlelang.PaketPlCtr.ppk(pl.pkt_id,ppk?.ppk_id)}">
                                <i class="fa fa-edit"></i> Ganti PPK</a>
                            #{/if}
                        </li>
                        #{/list}
                    </ul>
                    #{/else}
                </td>
            </tr>
        #{if historyPpkList.size != 0 }
        <tr>
            <th class="bgwarning"> Riwayat PPK</th>
            <td>
                <table class="table table-sm">
                    <tr>
                        <th>Tanggal</th>
                        <th>Nama PPK Terganti</th>
                        <th>Alasan Diganti</th>
                        <th>Penanggung Jawab</th>
                    </tr>
                    #{list items:historyPpkList, as:'ppk'}
                    <tr>
                        <td>${ppk.tgl_perubahan.formatDateTime()}</td>
                        <td>${ppk.namaPpk}</td>
                        <td>${ppk.alasan == null ? "-" : ppk.alasan}</td>
                        <td>${ppk.peg_id == null ? "-" : ppk.namaPegawai}</td>
                    </tr>
                    #{/list}
                </table>
            </td>
        </tr>
        #{/if}
        #{/if}
    #{if (active_user.isRekanan() && (pemenang?.rkn_id == active_user.rekananId)) || active_user.ppk}
        <tr>
            <th class="bgwarning">Surat Penunjukan</th>
            <td>#{sppbjPenyedia pl.lls_id /}</td>
        </tr>
        <tr>
            <th class="bgwarning">Download Dokumen Akhir</th>
            <td>#{dokumenKontrakPl pl.lls_id /}</td>
        </tr>
    #{/if}
    </table>

    #{if active_user.PP || active_user.isPanitia()}
        <a href="@{nonlelang.PengadaanLCtr.tutupPl(pl.lls_id)}" class="btn btn-danger">&{'nonlelang.batal_paket_ulang'}</a>
    #{/if}

#{if active_user.auditor}
    <a href="#" class="btn btn-success">&{'nonlelang.sppbk_kontrak'}</a>
    <div class="bs-callout bs-callout-warning">
        #{if allowKeterangan}
            &{'nonlelang.doc_penawaran_dapat_diambil'}
        #{/if}
        #{else}
            &{'nonlelang.membuka_doc_apendo'}
        #{/else}
    </div>
#{/if}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
        #{if active_user.PP || active_user.isPanitia()}
        
        $('.btn-ba').each(function() {
            var jenis = $(this).attr('value');
            var aksi = $(this).data('aksi');
            var formBa  = #{jsRoute @nonlelang.BeritaAcaraPlCtr.formBa(':id', ':jenis', ':aksi') /};
            $(this).attr('href', formBa.url({id:${pl.lls_id}, jenis:jenis, aksi:aksi}));
        });
        
        function isValidDate(dateString)
        {
    		// Parse the date parts to integers
            var parts = dateString.split(" ")[0].split("-");
            var day = parseInt(parts[0], 10);
            var month = parseInt(parts[1], 10);
            var year = parseInt(parts[2], 10);

            // Check the ranges of month and year
            if(year < 1000 || year > 3000 || month == 0 || month > 12)
                return false;

            var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

            // Adjust for leap years
            if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
            monthLength[1] = 29;

            // Check the range of the day
            return day > 0 && day <= monthLength[month - 1];
        };

        
        #{/if}

    $('.btn.btn-secondary.disable').click(function (e) {
        e.preventDefault();
    });

    $(document).on('click', '#informasiLainnya', function () {
        $('#informasiLainnya').fileupload({
            url: '@{nonlelang.BeritaAcaraPlCtr.uploadInformasiLainnya(pl?.lls_id)}',
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            add: function (e, data) {
	        		var fileName = "";
	        		$.each(data.files, function (index, file) {
	        			fileName = file.name;
	        		});
	            	var message = "Apakah Anda yakin akan umumkan '"+ fileName + "' sebagai Berita Acara Lainnya?";
	    			if(confirm(message) == true)
	    			{
	    				data.submit();
	    			} else { 
	    				data.abort();
	    			}
	        },
	        done: function (e, data) {
	        	    $('#progress-infolain').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td><a href="' + file.download_url + '"><i class="fa fa-download"></i> ' + file.name + '</td><td>' + upload_date + '</td>';
                        $('<tr/>').html(content).appendTo('#files-infolain');
                    });
                    $('#alert-upload-infolain').removeAttr('class').html('<div class="alert alert-success" role="alert">&{'flash.fbd'}</div>').show();
                } else {
                    $('#alert-upload-infolain').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
            		var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress-infolain').show();
                $('#progress-infolain .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name + ' - ' + file.error
                $('#alert-upload-infolain').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    })

    #{if active_user.PP || active_user.isPanitia()}
        //cetak dokument
        $(document).on('click', '.cetak', function () {
            var id = $(this).attr('value');
            $('#' + id).submit();
        });

        $(document).on('click', '.removeDok-infolain', function () {
            var id = $(this).attr('id');
            var versi = $(this).attr('versi')
            var parent = $(this).parent()
            var source = #{jsRoute @nonlelang.DokumenPlCtr.hapusInformasiLainnya() /};
            $.ajax({
                type: 'POST',
                url: source.url(),
                data: {'id': id, 'versi': versi},
                success: function () {
                    $('#alert-upload-infolain').html('<div class="alert alert-success" role="alert">&{'flash.file_telah_terhapus'}</div>');
                    parent.remove()
                },
                error: function () {
                    $('#alert-upload-infolain').html('<div class="alert alert-danger" role="alert">File tidak bisa dihapus</div>');
                }
            })
        });
    #{/if}
</script>
#{/set}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

#{/set}
